package com.mortals.xhx.module.print.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.print.model.vo.PrintServiceVo;
/**
* 证照打印服务配置实体对象
*
* @author zxfei
* @date 2022-11-21
*/

public class PrintServiceEntity extends PrintServiceVo {
    private static final long serialVersionUID = 1L;

    /**
    * 配置名称
    */
    private String serviceName;
    /**
    * 服务访问地址
    */
    private String serviceUrl;



    public PrintServiceEntity(){}
    /**
    * 获取 配置名称
    * @return String
    */
    public String getServiceName(){
        return serviceName;
    }
    /**
    * 设置 配置名称
    * @param serviceName
    */
    public void setServiceName(String serviceName){
        this.serviceName = serviceName;
    }
    /**
    * 获取 服务访问地址
    * @return String
    */
    public String getServiceUrl(){
        return serviceUrl;
    }
    /**
    * 设置 服务访问地址
    * @param serviceUrl
    */
    public void setServiceUrl(String serviceUrl){
        this.serviceUrl = serviceUrl;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PrintServiceEntity) {
            PrintServiceEntity tmp = (PrintServiceEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",serviceName:").append(getServiceName());
        sb.append(",serviceUrl:").append(getServiceUrl());
        return sb.toString();
    }

    public void initAttrValue(){

            this.serviceName = "";

            this.serviceUrl = "";
    }
}