package com.mortals.xhx.module.device.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.device.model.vo.DeviceModuleVo;
/**
* 证照柜设备实体对象
*
* @author zxfei
* @date 2022-11-04
*/

public class DeviceModuleEntity extends DeviceModuleVo {
    private static final long serialVersionUID = 1L;

    /**
    * 设备Id
    */
    private Long deviceId;
    /**
    * 设备名称
    */
    private String deviceName;
    /**
    * 模块名称
    */
    private String moduleName;
    /**
    * 产品名称
    */
    private String productName;
    /**
    * 网络地址
    */
    private String networkAddress;
    /**
    * 纸盒
    */
    private String cartonType;



    public DeviceModuleEntity(){}
    /**
    * 获取 设备Id
    * @return Long
    */
    public Long getDeviceId(){
        return deviceId;
    }
    /**
    * 设置 设备Id
    * @param deviceId
    */
    public void setDeviceId(Long deviceId){
        this.deviceId = deviceId;
    }
    /**
    * 获取 设备名称
    * @return String
    */
    public String getDeviceName(){
        return deviceName;
    }
    /**
    * 设置 设备名称
    * @param deviceName
    */
    public void setDeviceName(String deviceName){
        this.deviceName = deviceName;
    }
    /**
    * 获取 模块名称
    * @return String
    */
    public String getModuleName(){
        return moduleName;
    }
    /**
    * 设置 模块名称
    * @param moduleName
    */
    public void setModuleName(String moduleName){
        this.moduleName = moduleName;
    }
    /**
    * 获取 产品名称
    * @return String
    */
    public String getProductName(){
        return productName;
    }
    /**
    * 设置 产品名称
    * @param productName
    */
    public void setProductName(String productName){
        this.productName = productName;
    }
    /**
    * 获取 网络地址
    * @return String
    */
    public String getNetworkAddress(){
        return networkAddress;
    }
    /**
    * 设置 网络地址
    * @param networkAddress
    */
    public void setNetworkAddress(String networkAddress){
        this.networkAddress = networkAddress;
    }
    /**
    * 获取 纸盒
    * @return String
    */
    public String getCartonType(){
        return cartonType;
    }
    /**
    * 设置 纸盒
    * @param cartonType
    */
    public void setCartonType(String cartonType){
        this.cartonType = cartonType;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeviceModuleEntity) {
            DeviceModuleEntity tmp = (DeviceModuleEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",deviceId:").append(getDeviceId());
        sb.append(",deviceName:").append(getDeviceName());
        sb.append(",moduleName:").append(getModuleName());
        sb.append(",productName:").append(getProductName());
        sb.append(",networkAddress:").append(getNetworkAddress());
        sb.append(",cartonType:").append(getCartonType());
        return sb.toString();
    }

    public void initAttrValue(){

            this.deviceId = null;

            this.deviceName = "";

            this.moduleName = "";

            this.productName = "";

            this.networkAddress = "";

            this.cartonType = "";
    }
}